Skip to main content
`Ctrl`+`K`

# numpy.random.RandomState.get_state

method

random.RandomState.get_state(legacy=True)

  Return a tuple representing the internal state of the generator.

  For more details, see `set_state`.

  Parameters:
    legacy bool, optional

      Flag indicating to return a legacy tuple state when the BitGenerator is MT19937, instead of a dict. Raises ValueError if the underlying bit generator is not an instance of MT19937.

  Returns:
    out{tuple(str, ndarray of 624 uints, int, int, float), dict}

      If legacy is True, the returned tuple has the following items:

      1. the string ‘MT19937’.

      2. a 1-D array of 624 unsigned integer keys.

      3. an integer `pos`.

      4. an integer `has_gauss`.

      5. a float `cached_gaussian`.

      If legacy is False, or the BitGenerator is not MT19937, then state is returned as a dictionary.

  See also

  `set_state`

  Notes

  `set_state` and `get_state` are not needed to work with any of the random distributions in NumPy. If the internal state is manually altered, the user should know exactly what he/she is doing.